# Class ClassLoaderUtil

java.lang.Object
org.apache.tomcat.jdbc.pool.ClassLoaderUtil

public class ClassLoaderUtil extends Object
Utility class for loading classes using multiple class loaders.

## Method Summary

Modifier and Type
Method
Description
`static Class<?>`
`loadClass(String className, ClassLoader... classLoaders)`
Attempts to load the specified class using the given class loaders in order.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### loadClass

public static Class<?> loadClass(String className, ClassLoader... classLoaders) throws ClassNotFoundException
Attempts to load the specified class using the given class loaders in order.

Parameters:
  `className` - the fully qualified class name
  `classLoaders` - the class loaders to attempt, in order
Returns:
  the loaded class
Throws:
  `ClassNotFoundException` - if the class cannot be found by any of the loaders